// List of embedded components
const char mos_headerSEList[] =
"Developer Studio\0" "1.2.0.201012171243-R6026\0"
"Open AT Embedded Software Suite package\0" "2.34.0.201009161320\0"
"Open AT OS Package\0" "6.34.0.201007281407\0"
"Firmware Package\0" "7.44.0.201008311212\0"
"\0";

// Principal ADL header include
#include "adl_global.h"

// Application name definition
const ascii adl_InitApplicationName[] = "MyApplication";

// Company name definition
const ascii adl_InitCompanyName[] = "MyCompany";

// Application version definition
const ascii adl_InitApplicationVersion[] = "1.0.0";

// Application tasks prototypes
extern void main_task ( void );

extern void packetHandlerMain_task ( void );

extern void packetRadioMain_task ( void );



// Application tasks declaration table
const adl_InitTasks_t adl_InitTasks [] =
{
        { main_task,  4096, "MainApplication", 3 },
    { packetHandlerMain_task,  4096, "PacketHandler", 2 },
    { packetRadioMain_task,  4096, "PacketRadio", 1 },

    { 0, 0, 0, 0 }
};
